#
# spec file for package asterisk (Version 1.4.44)
#
#
#!BuildIgnore:          post-build-checks
# rootforbuild
%define		build_h323	0
Name:           asterisk
BuildRequires:  alsa-devel curl-devel expat gcc-c++ libgsm-devel libgsm1 libtiff-devel speex-devel > 1.0 unixODBC-devel wget 
BuildRequires: libpri >= 1.4.1
##BuildRequires: zaptel >= 1.4.1
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
%if 0%{?suse_version} > 1020
BuildRequires:	fdupes
%endif

%if 0%{?sles_version} > 10
BuildRequires: mISDNuser mISDNuser-devel
%else
BuildRequires: mISDN mISDN-devel mISDNuser mISDNuser-devel
%endif
BuildRequires: alsa-lib-devel
BuildRequires: bison
BuildRequires: bluez-libs
BuildRequires: doxygen
BuildRequires: libogg-devel
BuildRequires: termcap
BuildRequires: libvorbis-devel
BuildRequires: m4
BuildRequires: ncurses-devel
BuildRequires: net-snmp-devel
BuildRequires: newt-devel
BuildRequires: openssl-devel
BuildRequires: libspandsp1 spandsp-devel
BuildRequires: autoconf  openldap2 openldap2-devel
Buildrequires: iksemel unixODBC iksemel-devel 
Buildrequires: postgresql-devel postgresql-server

%if %build_h323 == 1
BuildRequires: cyrus-sasl-devel
BuildRequires: openh323-devel
BuildRequires: pwlib-devel
BuildRequires: openldap2-devel
BuildRequires: SDL-devel
%endif

Requires: newt ncurses postgresql-libs openldap2 postgresql-devel
Requires: iksemel libgsm1

%ifnarch s390 s390x
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
%endif

URL:            http://www.asterisk.org
Summary:        The Asterisk Open Source PBX
Version:        1.4.44
Release:        1.16
License:        BSD License and BSD-like, GNU General Public License (GPL)
PreReq:         /usr/sbin/useradd
Group:          Productivity/Telephony/Servers
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-spandsp.tar.gz
Source2:	openh323-v1_19_0_1-src-tar.bz2
Source3:	asterisk-core-sounds-en-gsm-1.4.20.tar.gz
Source4:	asterisk-extra-sounds-en-gsm-1.4.11.tar.gz
Source5:	asterisk-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         asterisk-1.4-h323.patch
#Patch1:         %{name}-sounds.patch
Patch2:         asterisk-1.4-guiconfchanges.patch
Patch4:         asterisk.patch
Patch5:		asterisk-suse-init.patch

%description
Asterisk is a complete PBX in software. It provides all of the features
you would expect from a PBX and more. Asterisk does voice over IP in
three protocols and can interoperate with almost all standards-based
telephony equipment using relatively inexpensive hardware.

Asterisk provides voicemail services with directory, call conferencing,
interactive voice response, and call queuing. It has support for
three-way calling, caller ID services, ADSI, SIP, and H.323 (as both
client and gateway).

Documentation is available on the Asterisk home page
(http://www.asterisk.org) and on the Asterisk wiki
(http://www.voip-info.org/wiki-Asterisk).



Authors:
--------
    Mark Spencer <markster@digium.com>

#%debug_package
%package alsa
Summary:        Soundcard Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description alsa
This package allows Asterisk to use a soundcard supported by ALSA as a
telephone.



Authors:
--------
    Mark Spencer <markster@digium.com>

%if %build_h323 == 1
%package h323
Summary:        Voice over IP Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description h323
This package adds support for the H.323 voice over IP (VoIP) protocol
to Asterisk.

Support for the SIP and IAX2 protocols is included in the asterisk base
package.



Authors:
--------
    Mark Spencer <markster@digium.com>

%endif
%package odbc
Summary:        Database Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description odbc
This package allows Asterisk to use read configuration data from, and
write call logs to ODBC databases.



Authors:
--------
    Mark Spencer <markster@digium.com>

%if ! 0%{?suse_version} == 1010
%package pgsql
Summary:        Database Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description pgsql
This package allows Asterisk to use read configuration data from, and
write call logs to PostgreSQL databases.



Authors:
--------
    Mark Spencer <markster@digium.com>
%endif

%package spandsp
Summary:        Softfax Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description spandsp
This package allows Asterisk to send/receive faxes.



Authors:
--------
    Steve Underwood <steveu@coppice.org>

%package dahdi
Summary:        Telephony Hardware Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description dahdi
This module allows Asterisk to use telephony hardware that is supported
by the dahdi kernel drivers. Supported hardware ranges from FXO and
FXS cards over ISDN BRI cards to T1, and E1 cards with up to four
interfaces.

See the dahdi package for details.



Authors:
--------
    Mark Spencer <markster@digium.com>
%package devel
Summary: Development files for Asterisk
Group:   Development/Libraries
PreReq: asterisk

%description devel
Development files for Asterisk

Authors:
--------
    Mark Spencer <markster@digium.com>

%prep
%setup -n asterisk-%{version} -a 1 -b 2
# copy core & extra sounds into sounds dir
cp %{S:3} $RPM_BUILD_DIR/asterisk-%{version}/sounds/
cp %{S:4} $RPM_BUILD_DIR/asterisk-%{version}/sounds/

# repackaged ilbc source into bz2 tarball
#echo -e "\n" | contrib/scripts/get_ilbc_source.sh 
%if %build_h323 == 1
%patch0 -p1 -b .h323rpm
%patch2 -p1 -b .guiconf
%endif

##patch1 -p0 -b .sounds
%patch4 -p0
%patch5 -p0

%build
./bootstrap.sh
%if %build_h323 == 1
export configh323="--with-h323=%{_includedir}/openh323"
%endif
%configure $configh323

%{__make} menuselect.makeopts
echo "MENUSELECT_EXTRA_SOUNDS=EXTRA-SOUNDS-EN-GSM" >> menuselect.makeopts
%{__make} %{?_smp_mflags}


%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__make} samples DESTDIR=%{buildroot}

%{__install} -p -m 0644 include/asterisk.h %{buildroot}%{_includedir}
%{__install} -D -p -m 0755 contrib/init.d/rc.suse.asterisk %{buildroot}%{_initrddir}/asterisk

# get rid of stuff we really don't need - maybe put it in %doc
#
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/moh/.asterisk-moh-freeplay-wav 2>/dev/null
%{__rm} -f %{buildroot}%{_localstatedir}/lib/asterisk/moh/.asterisk-moh-opsound-wav* 2>/dev/null
%{__rm} -rf %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-extra-sounds-en-gsm-* 2>/dev/null
%{__rm} -rf %{buildroot}%{_localstatedir}/lib/asterisk/sounds/.asterisk-core-sounds-en-gsm-1.4* 2>/dev/null

%if 0%{?suse_version} > 1020
%fdupes $RPM_BUILD_ROOT%{_localstatedir}/lib/asterisk/sounds
%endif
mkdir -p examples
cp -R static-http agi/*-test agi/*.agi examples/

%pre
%{_sbindir}/groupadd -g 330 -r asterisk &>/dev/null || :
%{_sbindir}/useradd  -u 330 -r -s /sbin/false -d /var/lib/asterisk -M          \
                               -c 'Asterisk PBX' -g asterisk asterisk &>/dev/null || :

%post
/sbin/chkconfig --add asterisk
mkdir -p -m 0775 /var/run/asterisk
chown asterisk:asterisk /var/run/asterisk
chown asterisk:asterisk /var/log/asterisk
mv /etc/asterisk/manager.conf /etc/asterisk/manager.conf.bak && cat /etc/asterisk/manager.conf.bak | grep -v 'webenabled' | sed -e '/\[general\]/awebenabled = yes' > /etc/asterisk/manager.conf

%postun
%insserv_cleanup

%preun
%if 0%{?suse_version}
%stop_on_removal
%else
if [ $1 -eq 0 ]; then
    /sbin/service asterisk stop &> /dev/null || :
    /sbin/chkconfig --del asterisk
fi
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc BUGS CHANGES ChangeLog COPYING CREDITS doc/* configs LICENSE sample.call README* *.txt
%doc examples

%{_initrddir}/asterisk

%dir %{_libdir}/asterisk
%dir %{_libdir}/asterisk/modules
##%{_libdir}/asterisk/modules/*
%{_libdir}/asterisk/modules/app_adsiprog.so
%{_libdir}/asterisk/modules/app_alarmreceiver.so
%{_libdir}/asterisk/modules/app_amd.so
%{_libdir}/asterisk/modules/app_authenticate.so
%{_libdir}/asterisk/modules/app_cdr.so
%{_libdir}/asterisk/modules/app_chanisavail.so
%{_libdir}/asterisk/modules/app_channelredirect.so
%{_libdir}/asterisk/modules/app_chanspy.so
%{_libdir}/asterisk/modules/app_controlplayback.so
%{_libdir}/asterisk/modules/app_db.so
%{_libdir}/asterisk/modules/app_dial.so
%{_libdir}/asterisk/modules/app_dictate.so
%{_libdir}/asterisk/modules/app_directed_pickup.so
%{_libdir}/asterisk/modules/app_directory.so
%{_libdir}/asterisk/modules/app_disa.so
%{_libdir}/asterisk/modules/app_dumpchan.so
%{_libdir}/asterisk/modules/app_echo.so
%{_libdir}/asterisk/modules/app_exec.so
%{_libdir}/asterisk/modules/app_externalivr.so
%{_libdir}/asterisk/modules/app_festival.so
%{_libdir}/asterisk/modules/app_flash.so
%{_libdir}/asterisk/modules/app_followme.so
%{_libdir}/asterisk/modules/app_forkcdr.so
%{_libdir}/asterisk/modules/app_getcpeid.so
%{_libdir}/asterisk/modules/app_hasnewvoicemail.so
%{_libdir}/asterisk/modules/app_ices.so
%{_libdir}/asterisk/modules/app_image.so
%{_libdir}/asterisk/modules/app_lookupblacklist.so
%{_libdir}/asterisk/modules/app_lookupcidname.so
%{_libdir}/asterisk/modules/app_macro.so
%{_libdir}/asterisk/modules/app_meetme.so
%{_libdir}/asterisk/modules/app_milliwatt.so
%{_libdir}/asterisk/modules/app_mixmonitor.so
%{_libdir}/asterisk/modules/app_morsecode.so
%{_libdir}/asterisk/modules/app_mp3.so
%{_libdir}/asterisk/modules/app_nbscat.so
%{_libdir}/asterisk/modules/app_page.so
%{_libdir}/asterisk/modules/app_parkandannounce.so
%{_libdir}/asterisk/modules/app_playback.so
%{_libdir}/asterisk/modules/app_privacy.so
%{_libdir}/asterisk/modules/app_queue.so
%{_libdir}/asterisk/modules/app_random.so
%{_libdir}/asterisk/modules/app_read.so
%{_libdir}/asterisk/modules/app_readfile.so
%{_libdir}/asterisk/modules/app_realtime.so
%{_libdir}/asterisk/modules/app_record.so
%{_libdir}/asterisk/modules/app_sayunixtime.so
%{_libdir}/asterisk/modules/app_senddtmf.so
%{_libdir}/asterisk/modules/app_sendtext.so
%{_libdir}/asterisk/modules/app_setcallerid.so
%{_libdir}/asterisk/modules/app_setcdruserfield.so
%{_libdir}/asterisk/modules/app_settransfercapability.so
%{_libdir}/asterisk/modules/app_sms.so
%{_libdir}/asterisk/modules/app_softhangup.so
%{_libdir}/asterisk/modules/app_speech_utils.so
%{_libdir}/asterisk/modules/app_stack.so
%{_libdir}/asterisk/modules/app_system.so
%{_libdir}/asterisk/modules/app_talkdetect.so
%{_libdir}/asterisk/modules/app_test.so
%{_libdir}/asterisk/modules/app_transfer.so
%{_libdir}/asterisk/modules/app_url.so
%{_libdir}/asterisk/modules/app_userevent.so
%{_libdir}/asterisk/modules/app_verbose.so
%{_libdir}/asterisk/modules/app_voicemail.so
%{_libdir}/asterisk/modules/app_waitforring.so
%{_libdir}/asterisk/modules/app_waitforsilence.so
%{_libdir}/asterisk/modules/app_while.so
%{_libdir}/asterisk/modules/cdr_csv.so
%{_libdir}/asterisk/modules/cdr_custom.so
%{_libdir}/asterisk/modules/cdr_manager.so
%{_libdir}/asterisk/modules/cdr_pgsql.so
%{_libdir}/asterisk/modules/chan_agent.so
%{_libdir}/asterisk/modules/chan_gtalk.so
%{_libdir}/asterisk/modules/chan_iax2.so
%{_libdir}/asterisk/modules/chan_local.so
%{_libdir}/asterisk/modules/chan_mgcp.so
%if 0%{?suse_version} < 1110
%{_libdir}/asterisk/modules/chan_misdn.so
%endif
%{_libdir}/asterisk/modules/chan_oss.so
%{_libdir}/asterisk/modules/chan_phone.so
%{_libdir}/asterisk/modules/chan_sip.so
%{_libdir}/asterisk/modules/chan_skinny.so
%{_libdir}/asterisk/modules/codec_a_mu.so
%{_libdir}/asterisk/modules/codec_adpcm.so
%{_libdir}/asterisk/modules/codec_alaw.so
%{_libdir}/asterisk/modules/codec_g726.so
%{_libdir}/asterisk/modules/codec_gsm.so
%{_libdir}/asterisk/modules/codec_lpc10.so
%{_libdir}/asterisk/modules/codec_ulaw.so
%if 0%{?sles_version} != 10
%{_libdir}/asterisk/modules/codec_speex.so
%endif
%{_libdir}/asterisk/modules/format_g723.so
%{_libdir}/asterisk/modules/format_g726.so
%{_libdir}/asterisk/modules/format_g729.so
%{_libdir}/asterisk/modules/format_gsm.so
%{_libdir}/asterisk/modules/format_h263.so
%{_libdir}/asterisk/modules/format_h264.so
%{_libdir}/asterisk/modules/format_ilbc.so
%{_libdir}/asterisk/modules/format_jpeg.so
%{_libdir}/asterisk/modules/format_ogg_vorbis.so
%{_libdir}/asterisk/modules/format_pcm.so
%{_libdir}/asterisk/modules/format_sln.so
%{_libdir}/asterisk/modules/format_vox.so
%{_libdir}/asterisk/modules/format_wav.so
%{_libdir}/asterisk/modules/format_wav_gsm.so
%{_libdir}/asterisk/modules/func_audiohookinherit.so
%{_libdir}/asterisk/modules/func_base64.so
%{_libdir}/asterisk/modules/func_callerid.so
%{_libdir}/asterisk/modules/func_cdr.so
%{_libdir}/asterisk/modules/func_channel.so
%{_libdir}/asterisk/modules/func_curl.so
%{_libdir}/asterisk/modules/func_cut.so
%{_libdir}/asterisk/modules/func_db.so
%{_libdir}/asterisk/modules/func_enum.so
%{_libdir}/asterisk/modules/func_env.so
%{_libdir}/asterisk/modules/func_global.so
%{_libdir}/asterisk/modules/func_groupcount.so
%{_libdir}/asterisk/modules/func_language.so
%{_libdir}/asterisk/modules/func_logic.so
%{_libdir}/asterisk/modules/func_math.so
%{_libdir}/asterisk/modules/func_md5.so
%{_libdir}/asterisk/modules/func_moh.so
%{_libdir}/asterisk/modules/func_rand.so
%{_libdir}/asterisk/modules/func_realtime.so
%{_libdir}/asterisk/modules/func_sha1.so
%{_libdir}/asterisk/modules/func_strings.so
%{_libdir}/asterisk/modules/func_timeout.so
%{_libdir}/asterisk/modules/func_uri.so
%{_libdir}/asterisk/modules/pbx_ael.so
%{_libdir}/asterisk/modules/pbx_config.so
%{_libdir}/asterisk/modules/pbx_dundi.so
%{_libdir}/asterisk/modules/pbx_loopback.so
%{_libdir}/asterisk/modules/pbx_realtime.so
%{_libdir}/asterisk/modules/pbx_spool.so
%{_libdir}/asterisk/modules/res_adsi.so
%{_libdir}/asterisk/modules/res_agi.so
%{_libdir}/asterisk/modules/res_clioriginate.so
%{_libdir}/asterisk/modules/res_config_ldap.so
%{_libdir}/asterisk/modules/res_config_pgsql.so
%{_libdir}/asterisk/modules/res_convert.so
%{_libdir}/asterisk/modules/res_crypto.so
%{_libdir}/asterisk/modules/res_features.so
%{_libdir}/asterisk/modules/res_indications.so
%{_libdir}/asterisk/modules/res_jabber.so
%{_libdir}/asterisk/modules/res_monitor.so
%{_libdir}/asterisk/modules/res_musiconhold.so
%{_libdir}/asterisk/modules/res_smdi.so
%{_libdir}/asterisk/modules/res_speech.so
%if 0%{?suse_version} > 1010
%{_libdir}/asterisk/modules/res_snmp.so
%endif

%dir %{_localstatedir}/lib/asterisk
%dir %{_localstatedir}/lib/asterisk/moh
%dir %{_localstatedir}/lib/asterisk/static-http
%dir %{_localstatedir}/lib/asterisk/agi-bin
%dir %{_localstatedir}/lib/asterisk/firmware
%dir %{_localstatedir}/lib/asterisk/images
%dir %{_localstatedir}/lib/asterisk/keys
%dir %{_localstatedir}/lib/asterisk/sounds
%dir %{_localstatedir}/lib/asterisk/sounds/letters
%dir %{_localstatedir}/lib/asterisk/sounds/dictate
%dir %{_localstatedir}/lib/asterisk/sounds/fr
%dir %{_localstatedir}/lib/asterisk/sounds/digits
%dir %{_localstatedir}/lib/asterisk/sounds/silence
%dir %{_localstatedir}/lib/asterisk/sounds/followme
%dir %{_localstatedir}/lib/asterisk/sounds/phonetic
%dir %{_localstatedir}/lib/asterisk/sounds/es
%{_localstatedir}/lib/asterisk/moh/*
%{_localstatedir}/lib/asterisk/static-http/*
%{_localstatedir}/lib/asterisk/agi-bin/*
%{_localstatedir}/lib/asterisk/firmware/*
%{_localstatedir}/lib/asterisk/images/*
%{_localstatedir}/lib/asterisk/keys/*
%{_localstatedir}/lib/asterisk/sounds/*
%{_sbindir}/aelparse
%{_sbindir}/asterisk
%{_sbindir}/astgenkey
%{_sbindir}/astman
%{_sbindir}/autosupport
%{_sbindir}/muted
%{_sbindir}/rasterisk
%{_sbindir}/safe_asterisk
%{_sbindir}/smsq
%{_sbindir}/stereorize
%{_sbindir}/streamplayer

%{_mandir}/man8/asterisk.8*
%{_mandir}/man8/astgenkey.8*
%{_mandir}/man8/autosupport.8*
%{_mandir}/man8/safe_asterisk.8*
/var/spool/asterisk/voicemail/*

%dir %{_sysconfdir}/asterisk
%config(noreplace) %{_sysconfdir}/asterisk/*

%files alsa
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*alsa*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/alsa.conf
%if %build_h323 == 1

%files h323
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*h323*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/h323.conf
%endif

%files odbc
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*odbc*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/*odbc*

%if ! 0%{?suse_version} == 1010
%files pgsql
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*pgsql*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/*pgsql*
%endif

%files spandsp
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*fax*

%files dahdi
%defattr(-,root,root,-)
%{_libdir}/asterisk/modules/*zap*
%{_libdir}/asterisk/modules/*dah*
# removed in 1.4.22
#%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/zapata.conf

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/asterisk
%{_includedir}/asterisk.h
%{_includedir}/asterisk/*.h


%changelog -n asterisk
* Sat Mar 17 2012 Carsten Schoene <cs@linux-administrator.com> - 1.4.44-1
- update to release 1.4.44

* Sun Dec 18 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.43-1
- update to release 1.4.43

* Sun Jul 24 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.42-1
- update to release 1.4.42

* Sat Apr 30 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.41-1
- update to release 1.4.41

* Sun Mar 13 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.40-1
- update to release 1.4.40

* Tue Feb 22 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.39.2-1
- update to release 1.4.39.2

* Thu Jan 20 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.39.1-1
- update to release 1.4.39.1

* Sun Jan 16 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.39-1
- update to release 1.4.39

* Wed Jan 12 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.38-1
- update to release 1.4.38

* Sun Oct 17 2010 Carsten Schoene <cs@linux-administrator.com> - 1.4.36-1
- update to release 1.4.36

* Thu Aug 26 2010 Carsten Schoene <cs@linux-administrator.com> - 1.4.35-1
- update to release 1.4.35

* Wed Jun 02 2010 Carsten Schoene <cs@linux-administrator.com> - 1.4.32-1
- update to release 1.4.32

* Sat Feb 20 2010 Carsten Schoene <cs@linux-administrator.com> - 1.4.29.1-1
- update to release 1.4.29.1

* Tue Feb 16 2010 Carsten Schoene <cs@linux-administrator.com> - 1.4.29-1
- update to release 1.4.29

* Sun Jan 10 2010 Carsten Schoene <cs@linux-administrator.com> - 1.4.28-1
- update to release 1.4.28
- update to core sounds 1.4.17
- update to extra sound 1.4.10

* Wed Dec 16 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.27.1-1
- update to release 1.4.27.1

* Fri Nov 06 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.26.3-1
- update to release 1.4.26.3
 - added extra sounds package

* Sat Sep 05 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.26.2-1
- update to release 1.4.26.2
 - These releases have been created in response to an IAX2 denial of service vulnerability. AST-2009-006, 

* Tue Aug 11 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.26.1-1
- update to release 1.4.26.1
 - This release fixes remote crash security vulnerability in the SIP stack AST-2009-005

* Wed Jul 22 2009 Carsten Schoene <cs@łinux-administrator.com> - 1.4.26-1
- update to release 1.4.26
 - a summary of changes can be found here:
   http://svn.asterisk.org/svn/asterisk/tags/1.4.26/asterisk-1.4.26-summary.txt
 - (#15181) Fix handling of the 'state_interface' option of the 'queue add member' CLI command
 - (#15072) Fix a possible crash in pbx_spool
 - (#14659) MWI NOTIFY contains a wrong URI if Asterisk listens to non-standard port and transport
 - (#14554) Don't fast forward past the end of a message
 - (#14631) Prevent phantom calls to queue members
 - (#15420, #15416, #15389, #15205) No audio on calls from Asterisk to various ISDN devices until DTMF sent by caller

* Sat Jun 06 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.25.1-1
- update to release 1.4.25.1
 - This release fixes a REGAUTH loop related to security issue AST-2009-001

* Thu May 21 2009 Carsten Schoene <cs@linux-administrator.com> - 1.5.25-1
- update to release 1.4.25
 - resolves several crash issues
 - fixes DTMF related issues
 - fixes CDR related issues

* Sun Apr 26 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.24.1-2
- fix user/group add
* Thu Apr 02 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.24.1-1
- update to release 1.4.24.1
* Wed Mar 18 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.24-1
- update to release 1.4.24
* Tue Mar 10 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.23.2-1
- update to release 1.4.23.2
* Sat Jan 24 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.23.1-1
- update to release 1.4.23.1
* Fri Jan 23 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.23-2
- fix duplicate files packaged (alsa,zaptel...)
* Thu Jan 22 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.23-1
- version bump to 1.4.23
* Fri Jan 09 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.22.1-1
- version bump to 1.4.22.1
 - fix AST-2009-001 / CVE-2009-0041
* Fri Oct 03 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.22-1
- version bump to 1.4.22
* Wed Jul 23 2008 Carsten Schoene <cs@łinux-administrator.com> - 1.4.20.2-1
- version bump to 1.4.20.2
 - fixes AST-2008-010 and AST-2008-011
* Mon Jun 30 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.20.1-1
- version bump to 1.4.20.1
* Wed May 21 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.20-1
- version bump to 1.4.20
* Wed May 13 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.19.2-1
- version bump to 1.4.19.2
* Wed Apr 23 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.19.1-1
- version bump to 1.4.19.1
* Sat Apr 05 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.19-1
- version bump to 1.4.19
* Wed Mar 19 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.18.1-1
- version bump to 1.4.18.1
* Sat Feb 09 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.18-1
- version bump to 1.4.18
* Fri Jan 04 2008 - vittorio@vitsoft.bz
- Modified for asterisk 1.4.17
- Security fix for chan_sip
* Tue Nov 27 2007 - vittorio@vitsoft.bz
- Modified for asterisk 1.4.15
* Thu Oct 04 2007 - vittorio@vitsoft.bz
- Modified for asterisk 1.4.12
- removed bristuff and added misdn support
- added res_config_ldap for realtime LDAP
* Mon Aug 13 2007 - vittorio@vitsoft.bz
- Modified for asterisk 1.4.10
* Thu Nov 16 2006 - max@suse.de
- Removed the mp3 files from the tarball and added a check to the
  spec file to prevent forgetting it again at the next update.
- Fixed app_dtmftotext to work with the latest spandsp.
* Fri Oct 20 2006 - max@suse.de
- New versions: asterisk-1.2.13, bristuff-0.3.0-PRE-1s.
- Fixes a heap overflow in chan_skinny (#213579).
* Fri Jul 14 2006 - max@suse.de
- New versions: asterisk-1.2.9.1, bristuff-0.3.0-PRE-1q:
- Fixes a buffer overflow in chan_iax.c (#182333, CVE-2006-2898).
- Many more enhancements and bug fixes.
- Use the libgsm package instead of builtin copy (#102354,
  asterisk-gsm.patch).
* Thu Apr 27 2006 - max@suse.de
- Removed example mp3 files from the source tarball. This makes
  the source and binary package considerably smaller.
  (Bug #118226)
* Mon Apr 24 2006 - max@suse.de
- Fixed a buffer overflow in format_jpeg.c.
  (Bug #168274, CVE-2006-1827)
* Mon Mar 20 2006 - max@suse.de
- New versions: asterisk-1.2.5, bristuff-0.3.0-PRE-1k:
- Makefile: Bug 6638 - Use POSIX command for Solaris
- build_tools/make_build_h: Bug 6638 - Change from a historic BSD
  command to a POSIX command for determining username
- asterisk.c: Bug 6637 - Fixes for Solaris
- Makefile: If debugging, the frame pointer is helpful
- res/res_monitor.c: fix inaccurate ack message to ChangeMonitor
  action (issue #6630)
- asterisk.sgml: make the terminology used in the synopsis match
  the option description
- asterisk.sgml: add the -L option to the synopsis on the man page
- cdr/cdr_manager.c, cdr/cdr_tds.c, res/res_config_odbc.c,
  include/asterisk/cdr.h, cdr/cdr_pgsql.c, cdr/cdr_odbc.c, cdr.c:
  Bug 6615 - Fix 64bit conversion errors by using a long int
- build_tools/make_svn_branch_name: Bug 6618 - Solaris compatibility fix
- channels/chan_iax2.c: fix the output that indicates whether
  qualify smoothing is on or not (issue #6608)
- asterisk.c: adjust the keys directory when astvarlibdir is
  specified in asterisk.conf (issue #6602)
- res/res_agi.c: add a missing newline in the agi app description
- cli.c: don't try to print the help text for a CLI command when
  RESULT_SHOWUSAGE is returned if there is no help text available
  (issue #6604)
- channels/chan_sip.c: fix finding realtime peers that are not
  dynamic by ip address (issue #6093)
- channel.c: don't hang up the channel if its state is set to UP
  before we return from ast_call (issue #6569)
- include/asterisk/logger.h, logger.c: Bug 5950 - reenable queue
  log rotation; also, eliminate redundant code
- translate.c: Backport of fix to translation optimizations.
- translate.c: factor the number of translation steps required into
  translation path decisions, so that equal cost paths that require
  fewer translations are preferred
- translate.c: reformat code to fit guidelines remember which
  translation paths are multi-step paths
- channel.c: ensure that spy frame queueing is able to deal with
  translation failing for any reason (issue #6546)
- Makefile: set PWD properly
- dnsmgr.c, include/asterisk/linkedlists.h: backport list handling
  fix from trunk (solves memory leak problem in cdr variables and
  device state watchers) remove unused variable to silence
  compiler warning
- configs/iax.conf.sample: add comment warning people about trying
  to use hostnames/IPs in the sample config
- app.c: Would be nice to tell people to look in the right file to
  increase a constant
- channels/chan_sip.c: Handle ACKing properly (remove gratuitous -1)
- channels/chan_iax2.c: Fix numerous places in jitter buffer where
  freed memory is referenced
- formats/format_sln.c: Okay, fseek doesn't return an offset
- apps/app_voicemail.c: Fix possible lack of initialization of useadsi
- formats/format_sln.c: Bug 6539 - Division by two negates error flag
- app.c: Bug 6529 - memory leak in ast_play_and_prepend
- jitterbuf.c: fix incorrent index calculation for jitterbuffer history
  (issue #6517)
- apps/app_voicemail.c: when executing the Directory application
  from voicemail and a context is not specified, use the "default"
  context, not the channel's current context (issue #6507)
- channels/chan_agent.c: ensure that agents logged in via the
  manager interface are stored in the persistence database (related
  to issue #6301)
- funcs/func_enum.c: handle longer ENUM lookup results (issue #6476)
- res/res_agi.c: ensure that FastAGI launcher can handle system
  call interruption (issue #6449)
- apps/app_meetme.c: bug fix from 6485 with musiconhold not being
  turned off by app_meetme
- apps/app_queue.c: don't double-increment abandon counter for
  calls that are hung up while dialing members (issue #6289)
- apps/app_meetme.c: Fix stopstream in menus (bug #6137)
- asterisk.c: #ifdef the include too.
- asterisk.c: #ifdef'd the prctl fix to only try and compile on
  linux systems. Thanks rizzo for pointing this out.
- channels/chan_sip.c: when answering INVITE, don't send codecs the
  peer didn't offer (issue #6052)
- rtp.c: revert yesterday's temporary fix for issue #6052
- asterisk.c: Fixed my silly backport error from r9861
- asterisk.c: Merged changes from r9844 from /trunk. Make sure that
  PR_SET_DUMPABLE is set to make certain that we still dump core if
  Asterisk has setuid'd to run as non-root.
- rtp.c: don't try to use peer's dynamic codec numbers, it leads to
  duplication (issue #6052)
- apps/app_meetme.c: Don't set the formats before we stop
  indications. (issue #6380)
- channels/chan_mgcp.c, channels/chan_sip.c, pbx/pbx_dundi.c,
  channels/chan_iax2.c: fix memory leak from not destroying the
  scheduler context on module unload
- apps/app_page.c: fix due to CDR changes
- manager.c, pbx/pbx_spool.c, include/asterisk/channel.h,
  include/asterisk/pbx.h, include/asterisk/manager.h, channel.c,
  pbx.c: now that CDR is a loadable module, don't depend on it
  elsewhere (issue #6460)
- channels/chan_sip.c, cdr.c: clean up my mess from thread-starting
  change
- channels/chan_sip.c: kpfleming's fix from r9472 backported to 1.2
- channels/chan_mgcp.c, dnsmgr.c, channels/chan_sip.c,
  devicestate.c, channels/chan_modem.c, cdr.c: don't create monitor
  threads in detached mode, when we need to be able to
  pthread_join() them later if the module is unloaded (solve
  crash-on-unload problem for these channel modules)
- apps/app_voicemail.c: Revert behavior change from previous commit
  (fixes only)
- apps/app_voicemail.c: Backport 5929 to 1.2
- apps/Makefile: add another location for postgresql headers (issue
  [#6419])
- channels/chan_iax2.c: reload peercontext on iax2 reload (issue #6442)
- cdr/Makefile: Leave it to RH/CentOS to put the freetds headers in
  a completely nonstandard location.
- logger.c, channels/chan_oss.c: Make logger report
  error,warning,notice if logger.conf not found, also updated
  chan_oss to give correct error message if its config file is not found.
- apps/app_macro.c: Bug 6176 - Fix race condition
- Makefile: don't override ASTERISKVERSIONNUM to 000000 for non-svn builds
- res/res_odbc.c: Fix for (#6309), potential (highly unlikely) memory leak
  in res_odbc
- channels/chan_zap.c: disable buggy PRI user-user code until it can be fixed
- channels/chan_sip.c: Issue 6182 - Don't remove scheduled event
  until it's really done. (reported by malverian)
- channels/chan_sip.c: Issue 6362 - Register without Contact: and Expires:
  fails (reporter: op)
- ast_expr2.h, ast_expr2f.c, ast_expr2.c: Bug 6072 - Revisions to
  the source bison and flex files don't auto-regenerate these files
- channels/chan_zap.c: fix problem with dtmf on e&m (issue #6364)
- channels/chan_sip.c: Issue 5898: Registrations does not get
  deleted if there's an active SIP dialog
- channels/chan_sip.c: don't call ast_update_realtime with
  uninitialized variables if we get a registration with an expirey
  of 0 seconds (issue #6173)
- channels/chan_features.c: fix memory leak (inspired by issue #6351)
* Wed Feb 15 2006 - max@suse.de
- Remove unwanted capi.conf .
* Fri Feb 10 2006 - max@suse.de
- Makefile, keep your hands off -march (#148593).
* Mon Feb 06 2006 - max@suse.de
- Included all subdirs of /var/log/asterisk in file list.
* Mon Jan 30 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - max@suse.de
- New versions: asterisk-1.2.3, bristuff-0.3.0-PRE-1i .
* Mon Jan 23 2006 - max@suse.de
- New version of the spandsp patch: 0.0.2pre23
* Tue Jan 17 2006 - max@suse.de
- Don't use -fsigned-char on PPC (bug #93872).
* Tue Dec 20 2005 - max@suse.de
- New version: 1.2.1
- New version of the bristuff patch: 0.3.0-PRE-1c
- New version of the spandsp patch: 0.0.2pre21
* Thu Aug 11 2005 - max@suse.de
- New version of the bristuff patch: 0.2.0-rc8n
* Tue Jul 19 2005 - max@suse.de
- Disabled the mmx assembler stuff in gsm again.
* Mon Jul 18 2005 - max@suse.de
- New version 1.0.9
- New version of the bristuff patch: 0.2.0-rc8j
* Thu Apr 14 2005 - pth@suse.de
- remove a bogus non-static declaration that conflicts with a
  static one.
* Mon Mar 07 2005 - max@suse.de
- New version of the bristuff patch: 0.2.0-rc7k
* Mon Feb 28 2005 - max@suse.de
- New version: 1.0.6.
- New version of the bristuff patch: 0.2.0-rc7i
- New version of the spandsp patch: 0.0.2pre10
* Thu Jan 13 2005 - max@suse.de
- New version: 1.0.3.
- New version of the bristuff patch: 0.2.0-rc3a
- New version of the spandsp patch: 0.0.2pre8
* Fri Nov 26 2004 - max@suse.de
- Update spandsp patch to version 0.0.2pre6
* Fri Nov 05 2004 - max@suse.de
- New version: 1.0.2
- New version of the bristuff patch: 0.2.0-rc2
- New version of the spandsp patch: 0.0.2pre4
* Tue Oct 05 2004 - max@suse.de
- Fixed location of pid file in init script [Bug #46859].
- Added the /var/log/asterisk/cdr-csv directory to the package.
* Wed Sep 29 2004 - max@suse.de
- Added /usr/sbin/useradd to PreReq [Bug #46487].
* Wed Sep 29 2004 - max@suse.de
- /var/lib/asterisk also needs to be owned by the asterisk user.
* Mon Sep 20 2004 - max@suse.de
- Creating a user named asterisk during installation under which
  the asterisk server will be run and who will own the config
  files and asterisk's /var/log, /var/spool, and /var/run areas.
- Added asterisk as a prerequirement to all subpackages to make
  sure the user exists when the package is installed.
* Mon Sep 13 2004 - ro@suse.de
- Fix usage of __P (patch from db1 package)
* Mon Sep 06 2004 - max@suse.de
- Created a separate source package for asterisk-capi.
* Fri Aug 20 2004 - max@suse.de
- Update bristuff patch to version 0.1.0-RC4a
- Update to CVS snapshot from 2004-08-14.
- Use platform independent names for linking against libpt and
  libopenh323.
- Temporarily disablied building of H.323 support due to
  incompatible changes in openh323.
* Mon Aug 16 2004 - ro@suse.de
- try to fix build on x86_64 and ia64
* Fri Aug 13 2004 - max@suse.de
- Update asterisk to CVS snapshot of 2004-08-12
- Enable H.323 support
- Put modules with external library dependencies into subpackages
- Update bristuff patch to version 0.1.0-RC3
* Wed Jul 28 2004 - max@suse.de
- Fixed db on ppc64.
- Removed some more bogus -march switches.
- Disables loading of the CAPI modules by default.
- Added init script.
* Fri Jul 23 2004 - max@suse.de
- Update asterisk to CVS snapshot from 2004-07-22
- Update chan_capi to version 0.3.4b
- Update bristuff patch to version 0.1.0-RC2
* Thu Jul 08 2004 - max@suse.de
- Don't try to be clever on detecting optimization, rpmbuild
  provides us with the necessary flags.
- Don't build chan_capi on s390/s390x, because there is no CAPI
  support on these platforms.
* Wed Jun 23 2004 - max@suse.de
- New package: Asterisk (CVS snapshot from 2004-10-05).
  Asterisk a complete PBX in software (www.asterisk.org).
- Added chan_capi for using CAPI devices as Asterisk channels.
- Added patch to support softfax using the spandsp library.
- Added bristuff patches to support BRI ISDN cards using libpri.
